ODI Agent Startup Fails "Server chose TLSv1, but that protocol version is not enabled or not supported by the client"

(Doc ID 2410123.1)

Last updated on JUNE 25, 2018

Applies to:

Oracle Data Integrator - Version 12.2.1.0.0 and later
Information in this document applies to any platform.

Symptoms

The Oracle Data Integrator (ODI) Agent fails to start with the following message:

ODI-1441: Unable to connect to the master repository at JBDC URL=[jdbc_url] with USER=odi_master_rep.
Caused By: java.sql.SQLException: Exception occurred while getting connection: oracle.ucp.UniversalConnectionPoolException: Cannot get Connection from Datasource: java.sql.SQLRecoverableException: IO Error: Server chose TLSv1, but that protocol version is not enabled or not supported by the client.
  at oracle.ucp.util.UCPErrorHandler.newSQLException(UCPErrorHandler.java:479)
  at oracle.ucp.util.UCPErrorHandler.throwSQLException(UCPErrorHandler.java:154)
  at oracle.ucp.jdbc.PoolDataSourceImpl.getConnection(PoolDataSourceImpl.java:1127)
  ...
Caused by: oracle.ucp.UniversalConnectionPoolException: Cannot get Connection from Datasource: java.sql.SQLRecoverableException: IO Error: Server chose TLSv1, but that protocol version is not enabled or not supported by the client.
  at oracle.ucp.util.UCPErrorHandler.newUniversalConnectionPoolException(UCPErrorHandler.java:359)
  at oracle.ucp.util.UCPErrorHandler.throwUniversalConnectionPoolException(UCPErrorHandler.java:58)
  at oracle.ucp.jdbc.DriverConnectionFactoryAdapter.createConnection(DriverConnectionFactoryAdapter.java:122)
  at oracle.ucp.jdbc.oracle.OracleDriverConnectionFactoryAdapter.createConnection(OracleDriverConnectionFactoryAdapter.java:83)
  at oracle.ucp.common.Database.createPooledConnection(Database.java:268)
  at oracle.ucp.common.Cluster.create(Cluster.java:236)
  ...
Caused by: java.sql.SQLRecoverableException: IO Error: Server chose TLSv1, but that protocol version is not enabled or not supported by the client.
  at oracle.jdbc.driver.T4CConnection.logon(T4CConnection.java:816)
  at oracle.jdbc.driver.PhysicalConnection.connect(PhysicalConnection.java:793)
  at oracle.jdbc.driver.T4CDriverExtension.getConnection(T4CDriverExtension.java:33)
  at oracle.jdbc.driver.OracleDriver.connect(OracleDriver.java:614)
  at oracle.ucp.jdbc.DriverConnectionFactoryAdapter.createConnection(DriverConnectionFactoryAdapter.java:118)
  ... 16 more
Caused by: javax.net.ssl.SSLHandshakeException: Server chose TLSv1, but that protocol version is not enabled or not supported by the client.
  at sun.security.ssl.ClientHandshaker.serverHello(ClientHandshaker.java:452)
  at sun.security.ssl.ClientHandshaker.processMessage(ClientHandshaker.java:206)
  at sun.security.ssl.Handshaker.processLoop(Handshaker.java:1026)
  at sun.security.ssl.Handshaker.process_record(Handshaker.java:961)
  at sun.security.ssl.SSLSocketImpl.readRecord(SSLSocketImpl.java:1062)
  at sun.security.ssl.SSLSocketImpl.performInitialHandshake(SSLSocketImpl.java:1375)
  at sun.security.ssl.SSLSocketImpl.writeRecord(SSLSocketImpl.java:747)
  at sun.security.ssl.AppOutputStream.write(AppOutputStream.java:123)
  at oracle.net.ns.Packet.send(Packet.java:421)
  at oracle.net.ns.ConnectPacket.send(ConnectPacket.java:242)
  at oracle.net.ns.NSProtocolStream.negotiateConnection(NSProtocolStream.java:167)
  at oracle.net.ns.NSProtocol.connect(NSProtocol.java:275)
  at oracle.jdbc.driver.T4CConnection.connect(T4CConnection.java:1606)
  at oracle.jdbc.driver.T4CConnection.logon(T4CConnection.java:539)
  ... 20 more

Due to this issue, the ODI jobs cannot be executed.

Changes

The environment may have been recently patched or updated.

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms